## Apache Zeta Components Manual :: Docs For Class ezcWebdavLockAdministrationException

### Webdav::ezcWebdavLockAdministrationException

### Class ezcWebdavLockAdministrationException

Exception thrown if an error occurs in the administrator class.

The ezcWebdavLockAdministrator class takes a special role in the lock plugin, since it does not operate in the server, but allows you to administrate the locks in your backend. If any kind of error occurs during an administrative process, this exception is thrown.

Source for this file: /Webdav/src/plugins/lock/exceptions/administration.php

    Exception
       |
       --ezcBaseException
          |
          --ezcWebdavException
             |
             --ezcWebdavLockAdministrationException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcWebdavLockAdministrationException | `__construct( $message , [ $error = null] )` Creates a new excption.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcWebdavLockAdministrationException __construct( mixed $message , [ezcWebdavErrorResponse $error = null] )

Creates a new excption.

$message explains the error. $error contains the response created by the backend, if this was the reason for the exception.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | mixed |
`$error` | ezcWebdavErrorResponse |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3